%define pulseaudioqt_major 3
%define libpulseaudioqt    %mklibname kf5pulseaudioqt_ %{pulseaudioqt_major}
%define libpulseaudioqt_dev %mklibname kf5pulseaudioqt -d


Name:		pulseaudio-qt
Version:	1.3
Release:	%mkrel 1
Summary:	Qt5 bindings for Pulseaudio
License:	LGPLv2+
Group:		System/Libraries
Url:		https://community.kde.org/Frameworks
Source0:	https://download.kde.org/stable/pulseaudio-qt/%{name}-%{version}.tar.xz
#-----------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5test-devel
BuildRequires: qtbase5-common-devel
#-----------------------------------------------

%description
Pulseaudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

#--------------------------------------------------------------------
%package -n	%{libpulseaudioqt}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Obsoletes:  lib64kf5pulseaudioqt_2

%description -n	%{libpulseaudioqt}
Runtime library for %{name}.

Pulseaudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

%files -n %{libpulseaudioqt}
%{_kf5_libdir}/libKF5PulseAudioQt.so.%{pulseaudioqt_major}
%{_kf5_libdir}/libKF5PulseAudioQt.so.%{version}.0

#--------------------------------------------------------------------



%package -n	%{libpulseaudioqt_dev}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libpulseaudioqt} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libpulseaudioqt_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libpulseaudioqt_dev}
%{_kf5_includedir}/KF5PulseAudioQt/
%{_kf5_includedir}/pulseaudioqt_version.h
%{_kf5_libdir}/libKF5PulseAudioQt.so
%{_kf5_libdir}/cmake/KF5PulseAudioQt/

#--------------------------------------------------------------------

%prep
%setup -q

%build
export USE_CCACHE=1

export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
export CXXFLAGS="$CXXFLAGS -O3 -pipe -ffast-math"

%cmake_qt5 -DBUILD_QCH=OFF
%make_build

%install
%make_install -C build


%changelog
* Fri Jun 04 2021 tex - 1.3-1pclos2021
- new version

* Tue Feb 18 2020 tex - 1.2-1pclos2020
- new version: 1.2
